## org.hibernate.mapping
Class JoinedSubclass

    java.lang.Object
      org.hibernate.mapping.PersistentClass
          org.hibernate.mapping.Subclass
              org.hibernate.mapping.JoinedSubclass

All Implemented Interfaces:
  Serializable, Filterable, MetaAttributable, TableOwner

    public class JoinedSubclass

extends Subclass
implements TableOwner

A subclass in a table-per-subclass mapping

Author:
  Gavin King
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.mapping.PersistentClass
`NOT_NULL_DISCRIMINATOR_MAPPING, NULL_DISCRIMINATOR_MAPPING, optimisticLockMode, synchronizedTables`

Constructor Summary
`JoinedSubclass(PersistentClass superclass)`

Method Summary
`Object` `accept(PersistentClassVisitor mv)`
`KeyValue` `getKey()`
`Iterator` `getReferenceablePropertyIterator()` Build an iterator of properties which are "referenceable".
`Table` `getTable()`
`void` `setKey(KeyValue key)`
`void` `setTable(Table table)`
`void` `validate(Mapping mapping)`

Methods inherited from class org.hibernate.mapping.Subclass

`addJoin, addMappedsuperclassProperty, addProperty, addSubclassJoin, addSubclassProperty, addSubclassTable, createForeignKey, getCacheConcurrencyStrategy, getDeclaredIdentifierProperty, getDeclaredVersion, getDiscriminator, getEntityPersisterClass, getFilterMap, getIdentifier, getIdentifierMapper, getIdentifierProperty, getJoinClosureIterator, getJoinClosureSpan, getKeyClosureIterator, getOptimisticLockMode, getPropertyClosureIterator, getPropertyClosureSpan, getRootClass, getRootTable, getSubclassId, getSuperclass, getSynchronizedTables, getTableClosureIterator, getTuplizerImplClassName, getTuplizerMap, getVersion, getWhere, hasEmbeddedIdentifier, hasIdentifierProperty, hasSubselectLoadableCollections, isClassOrSuperclassJoin, isClassOrSuperclassTable, isDiscriminatorInsertable, isExplicitPolymorphism, isForceDiscriminator, isInherited, isJoinedSubclass, isLazyPropertiesCacheable, isMutable, isPolymorphic, isVersioned, setEntityPersisterClass, setSuperclass`

Methods inherited from class org.hibernate.mapping.PersistentClass

`addFilter, addSubclass, addSynchronizedTable, addTuplizer, checkColumnDuplication, checkColumnDuplication, checkPropertyColumnDuplication, createPrimaryKey, getBatchSize, getClassName, getCustomSQLDelete, getCustomSQLDeleteCheckStyle, getCustomSQLInsert, getCustomSQLInsertCheckStyle, getCustomSQLUpdate, getCustomSQLUpdateCheckStyle, getDeclaredIdentifierMapper, getDeclaredPropertyIterator, getDirectSubclasses, getDiscriminatorColumnIterator, getDiscriminatorValue, getEntityName, getIdentityTable, getJoinIterator, getJoinNumber, getJpaEntityName, getLoaderName, getMappedClass, getMetaAttribute, getMetaAttributes, getNodeName, getNonDuplicatedPropertyIterator, getProperty, getPropertyIterator, getProxyInterface, getProxyInterfaceName, getRecursiveProperty, getReferencedProperty, getSubclassClosureIterator, getSubclassIterator, getSubclassJoinClosureIterator, getSubclassPropertyClosureIterator, getSubclassSpan, getSubclassTableClosureIterator, getSuperMappedSuperclass, getTemporaryIdTableDDL, getTemporaryIdTableName, getUnjoinedPropertyIterator, hasDom4jRepresentation, hasIdentifierMapper, hasNaturalId, hasPojoRepresentation, hasSelectBeforeUpdate, hasSubclasses, isAbstract, isCustomDeleteCallable, isCustomInsertCallable, isCustomUpdateCallable, isDiscriminatorValueNotNull, isDiscriminatorValueNull, isLazy, prepareTemporaryTables, setAbstract, setBatchSize, setClassName, setCustomSQLDelete, setCustomSQLInsert, setCustomSQLUpdate, setDeclaredIdentifierMapper, setDiscriminatorValue, setDynamicInsert, setDynamicUpdate, setEntityName, setIdentifierMapper, setJpaEntityName, setLazy, setLoaderName, setMetaAttributes, setNodeName, setOptimisticLockMode, setProxyInterfaceName, setSelectBeforeUpdate, setSubselectLoadableCollections, setSuperMappedSuperclass, toString, useDynamicInsert, useDynamicUpdate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JoinedSubclass

    public JoinedSubclass(PersistentClass superclass)

Method Detail

### getTable

    public Table getTable()

  Overrides:
    `getTable` in class `Subclass`

### setTable

    public void setTable(Table table)

  Specified by:
    `setTable` in interface `TableOwner`

### getKey

    public KeyValue getKey()

  Overrides:
    `getKey` in class `Subclass`

### setKey

    public void setKey(KeyValue key)

### validate

    public void validate(Mapping mapping)
                  throws MappingException

  Overrides:
    `validate` in class `PersistentClass`
  Throws:
    `MappingException`

### getReferenceablePropertyIterator

    public Iterator getReferenceablePropertyIterator()

  Description copied from class: `PersistentClass`
  Build an iterator of properties which are "referenceable".

  Overrides:
    `getReferenceablePropertyIterator` in class `PersistentClass`
  Returns:
    The property iterator.
  See Also:
    `for a discussion of "referenceable"`

### accept

    public Object accept(PersistentClassVisitor mv)

  Overrides:
    `accept` in class `Subclass`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.